dbXML API

## org.dbxml.tools.command
Class Command

    java.lang.Object
      |
      +--org.dbxml.tools.command.Command

Direct Known Subclasses:
  AddCollection, AddCollectionXMLObject, AddDocument, AddIndexer, AddMultipleDocuments, DeleteCollection, DeleteCollectionXMLObject, DeleteDocument, DeleteIndexer, ExportTree, ImportTree, InvokeXmlObject, ListCollectionDocuments, ListCollections, ListCollectionXMLObjects, ListIndexers, RetrieveDocument, Shutdown, XPathQuery

public abstract class Command
extends java.lang.Object

Command is the standard interface command line arguments

Field Summary
`static java.lang.String` `COLLECTIONURI`
`static java.lang.String` `DBXML_NAME_INDEXER`
`static java.lang.String` `DBXML_VAL_INDEXER`
`static java.lang.String` `DBXMLURI`
`static java.lang.String` `XMLDBAPIVERSION`

Constructor Summary
`Command()`

Method Summary
`abstract boolean` `execute(java.util.Hashtable table)`
`java.lang.String` `normalizeCollectionURI(java.lang.String uri)`
`java.lang.String` `normalizeDbXmlURI(java.lang.String uri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DBXMLURI

    public static final java.lang.String DBXMLURI

### COLLECTIONURI

    public static final java.lang.String COLLECTIONURI

### XMLDBAPIVERSION

    public static final java.lang.String XMLDBAPIVERSION

### DBXML_VAL_INDEXER

    public static final java.lang.String DBXML_VAL_INDEXER

### DBXML_NAME_INDEXER

    public static final java.lang.String DBXML_NAME_INDEXER

Constructor Detail

### Command

    public Command()

Method Detail

### execute

    public abstract boolean execute(java.util.Hashtable table)
                             throws java.lang.Exception

### normalizeCollectionURI

    public java.lang.String normalizeCollectionURI(java.lang.String uri)

### normalizeDbXmlURI

    public java.lang.String normalizeDbXmlURI(java.lang.String uri)
                                       throws org.dbxml.server.dbXMLException

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved